package com.cristobalbernal.es;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.util.Scanner;

public class HolaFichero {
	static Scanner lector = new Scanner(System.in);
	
	public static void main(String[] args) throws IOException {
		int opcion;
		do {
            opcion = menuPrincipal();
            switch (opcion){
                case 1:
                    CreoFicheroWindows();
                    break;
                case 2:
                    crearFicheroLinux();
                    break;
            }

        }while (opcion !=0);	
	}
	
	
	public static void CreoFicheroWindows() throws IOException {
	    System.out.println("Creando fichero en Windows ...");
	    File fwindows = new File("C:\\Users\\crist\\Documents\\2DAM\\BaseDeDatos\\BaseDaDatos.txt");
	    
	    if(fwindows.createNewFile()) {
	    	try (FileWriter escribir = new FileWriter(fwindows)) {
				System.out.println("Creando fichero java!!!");
				escribir.write("Hola Jose");
			}
	    }else {
	    	if(fwindows.exists()) {
	    		System.out.println("Ya existe el archivo");
	    	}else {
	    		System.out.println("No se ha creado el fichero!!!!");
	    	}
	    }
	    
	  }
	public static void crearFicheroLinux() throws IOException {
		
		System.out.println("Creando fichero en linux!!!");
		File linux = new File("/home/mario/archivo.txt");
		
		if(linux.createNewFile()) {
			
	    	try (FileWriter escribir = new FileWriter(linux)) {
				System.out.println("Creando fichero java!!!");
				escribir.write("Hola Jose");
				
			}
	    }else {
	    	
	    	System.out.println("No se ha creado el fichero!!!!");
	    }
	    
	  }
	public static int menuPrincipal() {
		int opcion;
		System.out.println("Escribe una opcion, dependera de tu sistema operativo:");
		System.out.println("1- Windows ");
		System.out.println("2- Linux ");
		System.out.println("Elige una opcion:");
		opcion = Integer.parseInt(lector.nextLine());
		return opcion;
		
	}
}

